Twilio

Twilio provides a cloud API for voice and SMS communications that leverages existing web development skills, resources and infrastructure.

This module provides integration between the twilio SMS service and the SMS framework module.

Please note that Twilio will no longer support the 4.x PHP SDK library and the Twilio 5.x libraries do not work with 7.x-1.x, you must use 7.x-2.x to use the new library. You also must be using the most recent API version 2010-04-01 to use the 7.x-2.x version.

8.x

8.x-1.x currently only supports outgoing SMS messages, please see #2829012 to follow progress of incoming messages.

INSTALL

  • 7.x-2.x

    1. Use composer or download the 5.x twilio PHP library (http://www.twilio.com/docs/libraries/) and unzip into sites/all/libraries (this path can be edited when setting up the gateway).
    2. Go to admin/smsframework/gateways to setup the twilio gateway.
  • 7.x-1.x

    1. Download the 4.x twilio PHP library (http://www.twilio.com/docs/libraries/) and unzip into sites/all/libraries (this path can be edited when setting up the gateway).
    2. Go to admin/smsframework/gateways to setup the twilio gateway.

UPGRADE

If upgrading from 7.x-1.x to 7.x-2.x you must replace your Twilio SDK with the 5.x version. Please create an issue if you encounter any upgrade problems.

Credits

Development sponsored by univate.

Project Information

Downloads